## networking-baremetal 1.4.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

neutron-lib>=1.18.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
pbr!=2.1.0,>=2.0.0 # Apache-2.0
python-ironicclient>=2.3.0 # Apache-2.0
tooz>=1.58.0 # Apache-2.0
neutron>=13.0.0.0b1  # Apache-2.0

## networking-baremetal 1.0.0

=== debian/changelog ===
networking-baremetal (1.0.0-2) unstable; urgency=medium

  * Properly list copyright holders in debian/copyright.
  * Remove duplicate build-depends: python3-pbr.

 -- Thomas Goirand <zigo@debian.org>  Thu, 29 Mar 2018 13:56:14 +0000

networking-baremetal (1.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #894328).

 -- Thomas Goirand <zigo@debian.org>  Thu, 29 Mar 2018 09:31:09 +0200

=== debian/control ===
Source: networking-baremetal
Section: net
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-coverage,
 python3-hacking,
 python3-ironicclient (>= 2.2.0),
 python3-neutron (>= 2:12.0.0),
 python3-neutron-lib (>= 1.13.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-testr (>= 1.0.0),
 python3-oslo.config (>= 5.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 python3-tooz (>= 1.58.0),
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/networking-baremetal
Vcs-Git: https://salsa.debian.org/openstack-team/services/networking-baremetal.git
Homepage: https://github.com/openstack/networking-baremetal

Package: ironic-neutron-agent
Architecture: all
Section: python
Depends:
 neutron-common (>= 2:12.0.0),
 python3-ironic-neutron-agent (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack virtual network service - Ironic agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Ironic agent.

Package: python3-ironic-neutron-agent
Architecture: all
Section: python
Depends:
 python3-ironicclient (>= 2.2.0),
 python3-neutron (>= 2:12.0.0),
 python3-neutron-lib (>= 1.13.0),
 python3-oslo.config (>= 5.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-tooz (>= 1.58.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack virtual network service - Ironic agent Python 3.x library
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python 3.x files for the Ironic agent.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	python3 setup.py clean

override_dh_clean:
	dh_clean
	rm -rf build

override_dh_auto_build:
	set -e ; for i in $(PYTHON3S) ; do \
		PYTHON=python$$i python$$i setup.py build --force ; \
	done

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_install:
	set -e ; for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done
		
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'networking_baremetal.tests.*'
endif

	mkdir -p $(CURDIR)/debian/ironic-neutron-agent/usr/share/ironic-neutron-agent
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/ironic-neutron-agent/usr/share/ironic-neutron-agent/ironic_neutron_agent.ini \
		--wrap-width 140 \
		--namespace ironic-neutron-agent \
		--namespace oslo.log

	dh_install
	dh_missing --fail-missing

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_installgsettings:

## networking-baremetal 1.2.0

=== debian/changelog ===
networking-baremetal (1.2.0-3) unstable; urgency=medium

  * override_dh_python3: dh_python3 --shebang=/usr/bin/python3.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Dec 2018 16:22:08 +0100

networking-baremetal (1.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Sep 2018 18:15:13 +0200

networking-baremetal (1.2.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Aug 2018 19:55:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: networking-baremetal
 Section: net
 Priority: optional
-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -15,22 +15,21 @@
 Build-Depends-Indep:
  python3-coverage,
  python3-hacking,
- python3-ironicclient (>= 2.2.0),
- python3-neutron (>= 2:12.0.0),
- python3-neutron-lib (>= 1.13.0),
+ python3-ironicclient (>= 2.3.0),
+ python3-neutron (>= 2:13.0.0~rc1),
+ python3-neutron-lib (>= 1.18.0),
  python3-openstackdocstheme (>= 1.18.1),
- python3-os-testr (>= 1.0.0),
- python3-oslo.config (>= 5.1.0),
+ python3-oslo.config (>= 5.2.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.messaging (>= 5.29.0),
  python3-oslo.utils (>= 3.33.0),
  python3-oslotest (>= 1:3.2.0),
+ python3-stestr,
  python3-testscenarios,
  python3-testtools (>= 2.2.0),
  python3-tooz (>= 1.58.0),
  subunit,
- testrepository,
 Standards-Version: 4.1.3
 Vcs-Browser: https://salsa.debian.org/openstack-team/services/networking-baremetal
 Vcs-Git: https://salsa.debian.org/openstack-team/services/networking-baremetal.git
@@ -57,10 +56,10 @@
 Architecture: all
 Section: python
 Depends:
- python3-ironicclient (>= 2.2.0),
- python3-neutron (>= 2:12.0.0),
- python3-neutron-lib (>= 1.13.0),
- python3-oslo.config (>= 5.1.0),
+ python3-ironicclient (>= 2.3.0),
+ python3-neutron (>= 2:13.0.0~rc1),
+ python3-neutron-lib (>= 1.18.0),
+ python3-oslo.config (>= 5.2.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.messaging (>= 5.29.0),

## networking-baremetal 1.3.0

=== debian/changelog ===
networking-baremetal (1.3.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * Uploading to unstable.
  * (build-)depends on neutron 14.0.2.

 -- Thomas Goirand <zigo@debian.org>  Sat, 20 Jul 2019 16:49:42 +0200

networking-baremetal (1.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed package versions when satisfied in Buster.
  * Standards-Version: 4.3.0 (no change).

 -- Thomas Goirand <zigo@debian.org>  Tue, 02 Apr 2019 14:15:32 +0200

=== debian/control ===
Source: networking-baremetal
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-hacking,
 python3-ironicclient,
 python3-neutron (>= 14.0.2),
 python3-neutron-lib,
 python3-openstackdocstheme,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.utils,
 python3-oslotest,
 python3-stestr,
 python3-testscenarios,
 python3-testtools,
 python3-tooz,
 subunit,
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/openstack-team/services/networking-baremetal
Vcs-Git: https://salsa.debian.org/openstack-team/services/networking-baremetal.git
Homepage: https://github.com/openstack/networking-baremetal

Package: ironic-neutron-agent
Architecture: all
Section: python
Depends:
 neutron-common,
 python3-ironic-neutron-agent (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack virtual network service - Ironic agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Ironic agent.

Package: python3-ironic-neutron-agent
Architecture: all
Section: python
Depends:
 python3-ironicclient,
 python3-neutron (>= 14.0.2),
 python3-neutron-lib,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.utils,
 python3-pbr,
 python3-tooz,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack virtual network service - Ironic agent Python 3.x library
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python 3.x files for the Ironic agent.

## networking-baremetal 1.4.0

=== debian/changelog ===
networking-baremetal (1.4.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Add Fix_unit_tests_with_ironicclient-3.0.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Oct 2019 23:30:36 +0200

networking-baremetal (1.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 29 Sep 2019 18:15:34 +0200

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
  python3-testtools,
  python3-tooz,
  subunit,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/services/networking-baremetal
 Vcs-Git: https://salsa.debian.org/openstack-team/services/networking-baremetal.git
 Homepage: https://github.com/openstack/networking-baremetal

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/networking-baremetal/tags .*/(\d[\d\.]+)\.tar\.gz

## networking-baremetal 3.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

neutron-lib>=1.28.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.service>=1.30.0 # Apache-2.0
pbr!=2.1.0,>=2.0.0 # Apache-2.0
openstacksdk>=0.31.2 # Apache-2.0
tooz>=2.5.1 # Apache-2.0
neutron>=14.0.0.0b1 # Apache-2.0
tenacity>=6.0.0 # Apache-2.0
keystoneauth1>=3.14.0 # Apache-2.0

=== debian/changelog ===
networking-baremetal (3.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Oct 2020 14:55:23 +0200

networking-baremetal (3.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Sep 2020 09:53:57 +0200

networking-baremetal (2.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 May 2020 12:39:17 +0200

networking-baremetal (2.0.0-1) experimental; urgency=medium

  * Move networking-baremetal VCS to the neutron-plugins subgroup.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed Fix_unit_tests_with_ironicclient-3.0.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Apr 2020 19:39:54 +0200

=== debian/control ===
--- 
+++ 
@@ -15,24 +15,29 @@
 Build-Depends-Indep:
  python3-coverage,
  python3-hacking,
- python3-ironicclient,
- python3-neutron (>= 14.0.2),
- python3-neutron-lib,
+ python3-keystoneauth1 (>= 3.14.0),
+ python3-mock,
+ python3-neutron (>= 2:14.0.2),
+ python3-neutron-lib (>= 1.28.0),
  python3-openstackdocstheme,
+ python3-openstacksdk (>= 0.31.2),
  python3-oslo.config,
  python3-oslo.i18n,
  python3-oslo.log,
  python3-oslo.messaging,
+ python3-oslo.service,
  python3-oslo.utils,
  python3-oslotest,
  python3-stestr,
+ python3-sphinxcontrib.apidoc,
+ python3-tenacity (>= 6.0.0),
  python3-testscenarios,
  python3-testtools,
- python3-tooz,
+ python3-tooz (>= 2.5.1),
  subunit,
 Standards-Version: 4.4.1
-Vcs-Browser: https://salsa.debian.org/openstack-team/services/networking-baremetal
-Vcs-Git: https://salsa.debian.org/openstack-team/services/networking-baremetal.git
+Vcs-Browser: https://salsa.debian.org/openstack-team/neutron-plugins/networking-baremetal
+Vcs-Git: https://salsa.debian.org/openstack-team/neutron-plugins/networking-baremetal.git
 Homepage: https://github.com/openstack/networking-baremetal
 
 Package: ironic-neutron-agent
@@ -56,16 +61,19 @@
 Architecture: all
 Section: python
 Depends:
- python3-ironicclient,
- python3-neutron (>= 14.0.2),
- python3-neutron-lib,
+ python3-keystoneauth1 (>= 3.14.0),
+ python3-neutron (>= 2:14.0.2),
+ python3-neutron-lib (>= 1.28.0),
+ python3-openstacksdk (>= 0.31.2),
  python3-oslo.config,
  python3-oslo.i18n,
  python3-oslo.log,
  python3-oslo.messaging,
+ python3-oslo.service,
  python3-oslo.utils,
  python3-pbr,
- python3-tooz,
+ python3-tenacity (>= 6.0.0),
+ python3-tooz (>= 2.5.1),
  ${misc:Depends},
  ${python3:Depends},
 Description: OpenStack virtual network service - Ironic agent Python 3.x library

## networking-baremetal 4.0.0

=== debian/changelog ===
networking-baremetal (4.0.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 14 Apr 2021 13:53:13 +0000

networking-baremetal (4.0.0~rc1-0ubuntu1) hirsute; urgency=medium

  * d/watch: Scope to 4.x series.
  * New upstream release candidate for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Apr 2021 09:42:49 -0400

networking-baremetal (3.0.0+git2021012911.7b55f06-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 29 Jan 2021 11:48:26 -0500

networking-baremetal (3.0.0+git2020121014.728b946-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.
  * d/rules: Update to explicitly setup PBR's version.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 10 Dec 2020 14:41:35 +0000

networking-baremetal (3.0.0-0ubuntu1) groovy; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2020 09:09:09 -0400

networking-baremetal (3.0.0~rc1-0ubuntu1) groovy; urgency=medium

  * d/watch: Get tarballs from opendev.org and scope to 3.x series.
  * New upstream release candidate for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Oct 2020 16:50:56 -0400

networking-baremetal (2.0.1~git2020091515.4f14868-0ubuntu1) groovy; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 Sep 2020 15:46:50 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: networking-baremetal
 Section: net
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -9,35 +10,35 @@
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr,
+ python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
  python3-coverage,
  python3-hacking,
+ python3-ironicclient,
  python3-keystoneauth1 (>= 3.14.0),
- python3-mock,
  python3-neutron (>= 2:14.0.2),
  python3-neutron-lib (>= 1.28.0),
- python3-openstackdocstheme,
+ python3-openstackdocstheme (>= 2.2.1),
  python3-openstacksdk (>= 0.31.2),
- python3-oslo.config,
- python3-oslo.i18n,
- python3-oslo.log,
- python3-oslo.messaging,
- python3-oslo.service,
- python3-oslo.utils,
- python3-oslotest,
- python3-stestr,
- python3-sphinxcontrib.apidoc,
+ python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.log (>= 3.36.0),
+ python3-oslo.messaging (>= 5.29.0),
+ python3-oslo.service (>= 1.30.0),
+ python3-oslo.utils (>= 3.33.0),
+ python3-oslotest (>= 1:3.2.0),
+ python3-stestr (>= 1.0.0),
+ python3-sphinxcontrib.apidoc (>= 0.2.0),
  python3-tenacity (>= 6.0.0),
- python3-testscenarios,
- python3-testtools,
+ python3-testscenarios (>= 0.4),
+ python3-testtools (>= 2.2.0),
  python3-tooz (>= 2.5.1),
  subunit,
 Standards-Version: 4.4.1
-Vcs-Browser: https://salsa.debian.org/openstack-team/neutron-plugins/networking-baremetal
-Vcs-Git: https://salsa.debian.org/openstack-team/neutron-plugins/networking-baremetal.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/networking-baremetal
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/networking-baremetal
 Homepage: https://github.com/openstack/networking-baremetal
 
 Package: ironic-neutron-agent
@@ -61,17 +62,18 @@
 Architecture: all
 Section: python
 Depends:
+ python3-ironicclient,
  python3-keystoneauth1 (>= 3.14.0),
  python3-neutron (>= 2:14.0.2),
  python3-neutron-lib (>= 1.28.0),
  python3-openstacksdk (>= 0.31.2),
- python3-oslo.config,
- python3-oslo.i18n,
- python3-oslo.log,
- python3-oslo.messaging,
- python3-oslo.service,
- python3-oslo.utils,
- python3-pbr,
+ python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.log (>= 3.36.0),
+ python3-oslo.messaging (>= 5.29.0),
+ python3-oslo.service (>= 1.30.0),
+ python3-oslo.utils (>= 3.33.0),
+ python3-pbr (>= 2.0.0),
  python3-tenacity (>= 6.0.0),
  python3-tooz (>= 2.5.1),
  ${misc:Depends},

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/networking-baremetal/ networking-baremetal-(4\.\d.*)\.tar\.gz

## networking-baremetal 5.0.0

=== debian/changelog ===
networking-baremetal (5.0.0-0ubuntu1) impish; urgency=medium

  * d/watch: Scope to 5.x series.
  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 06 Oct 2021 09:43:57 -0400

networking-baremetal (4.0.0+git2021090912.cd69016-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Sep 2021 12:43:09 -0400

networking-baremetal (4.0.0+git2021061112.0fb7388-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 11 Jun 2021 12:51:51 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr (>= 2.0.0),
+ python3-pbr (>= 3.1.1),
  python3-setuptools,
  python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
@@ -26,10 +26,10 @@
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.messaging (>= 5.29.0),
- python3-oslo.service (>= 1.30.0),
- python3-oslo.utils (>= 3.33.0),
+ python3-oslo.service (>= 1.40.2),
+ python3-oslo.utils (>= 3.40.2),
  python3-oslotest (>= 1:3.2.0),
- python3-stestr (>= 1.0.0),
+ python3-stestr,
  python3-sphinxcontrib.apidoc (>= 0.2.0),
  python3-tenacity (>= 6.0.0),
  python3-testscenarios (>= 0.4),
@@ -71,9 +71,9 @@
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.messaging (>= 5.29.0),
- python3-oslo.service (>= 1.30.0),
- python3-oslo.utils (>= 3.33.0),
- python3-pbr (>= 2.0.0),
+ python3-oslo.service (>= 1.40.2),
+ python3-oslo.utils (>= 3.40.2),
+ python3-pbr (>= 3.1.1),
  python3-tenacity (>= 6.0.0),
  python3-tooz (>= 2.5.1),
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,8 @@
 #!/usr/bin/make -f
+
+DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
+VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
+export PBR_VERSION=$(VERSION)
 
 include /usr/share/openstack-pkg-tools/pkgos.make
 
@@ -42,10 +46,5 @@
 	dh_install
 	dh_missing --fail-missing
 
-# Commands not to run
-override_dh_installcatalogs:
-override_dh_installemacsen override_dh_installifupdown:
-override_dh_installinfo override_dh_installmenu override_dh_installmime:
-override_dh_installmodules override_dh_installlogcheck:
-override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
-override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_installgsettings:
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3

## networking-baremetal 5.1.0%2Bgit2022033113.f30f96c

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/networking-baremetal/ networking-baremetal-(5\.\d.*)\.tar\.gz

## networking-baremetal 5.1.0+git2022033113.f30f96c

=== requirements.txt ===
--- 
+++ 
@@ -6,10 +6,10 @@
 oslo.config>=5.2.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
-oslo.utils>=3.33.0 # Apache-2.0
+oslo.utils>=3.40.2 # Apache-2.0
 oslo.messaging>=5.29.0 # Apache-2.0
-oslo.service>=1.30.0 # Apache-2.0
-pbr!=2.1.0,>=2.0.0 # Apache-2.0
+oslo.service>=1.40.2 # Apache-2.0
+pbr>=3.1.1 # Apache-2.0
 openstacksdk>=0.31.2 # Apache-2.0
 tooz>=2.5.1 # Apache-2.0
 neutron>=14.0.0.0b1 # Apache-2.0

=== debian/changelog ===
networking-baremetal (5.1.0+git2022033113.f30f96c-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Mar 2022 13:47:01 -0400

networking-baremetal (5.1.0+git2022030210.33aa103-0ubuntu1) jammy; urgency=medium

  * d/control, d/rules: Switch to debhelper compat 13 and pybuild (LP: #1960636).
  * New upstream snapshot for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/skip-test-agent-type.patch: Skip until fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Mar 2022 10:42:51 -0500

networking-baremetal (5.0.0+git2021120816.0fb52ac-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Dec 2021 16:45:08 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -18,7 +18,7 @@
  python3-hacking,
  python3-ironicclient,
  python3-keystoneauth1 (>= 3.14.0),
- python3-neutron (>= 2:14.0.2),
+ python3-neutron (>= 2:19.1.0),
  python3-neutron-lib (>= 1.28.0),
  python3-openstackdocstheme (>= 2.2.1),
  python3-openstacksdk (>= 0.31.2),
@@ -64,7 +64,7 @@
 Depends:
  python3-ironicclient,
  python3-keystoneauth1 (>= 3.14.0),
- python3-neutron (>= 2:14.0.2),
+ python3-neutron (>= 2:19.1.0),
  python3-neutron-lib (>= 1.28.0),
  python3-openstacksdk (>= 0.31.2),
  python3-oslo.config (>= 1:5.2.0),

## networking-baremetal 6.0.0

=== debian/changelog ===
networking-baremetal (6.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Sep 2022 17:57:21 +0200

networking-baremetal (6.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Added python3-ncclient as depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Sep 2022 14:22:17 +0200

networking-baremetal (5.1.1-1) unstable; urgency=medium

  * New upstream release.
    - Fixes FTBFS (Closes: #1011904).

 -- Thomas Goirand <zigo@debian.org>  Tue, 31 May 2022 09:25:59 +0200

networking-baremetal (5.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 14:40:01 +0100

networking-baremetal (5.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Mar 2022 11:49:34 +0100

networking-baremetal (5.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 17:27:25 +0200

networking-baremetal (5.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 13:21:52 +0200

networking-baremetal (5.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 17 Sep 2021 23:03:51 +0200

networking-baremetal (4.0.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 17:42:08 +0200

networking-baremetal (4.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Apr 2021 13:28:36 +0200

networking-baremetal (4.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bullseye.

 -- Thomas Goirand <zigo@debian.org>  Sat, 27 Mar 2021 23:16:40 +0100

=== debian/control ===
Source: networking-baremetal
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-hacking,
 python3-keystoneauth1,
 python3-mock,
 python3-ncclient (>= 0.6.9),
 python3-neutron,
 python3-neutron-lib,
 python3-openstackdocstheme,
 python3-openstacksdk,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.service,
 python3-oslo.utils,
 python3-oslotest,
 python3-stestr,
 python3-sphinxcontrib.apidoc,
 python3-tenacity,
 python3-testscenarios,
 python3-testtools,
 python3-tooz,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/neutron-plugins/networking-baremetal
Vcs-Git: https://salsa.debian.org/openstack-team/neutron-plugins/networking-baremetal.git
Homepage: https://github.com/openstack/networking-baremetal

Package: ironic-neutron-agent
Architecture: all
Section: python
Depends:
 neutron-common,
 python3-ironic-neutron-agent (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack virtual network service - Ironic agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Ironic agent.

Package: python3-ironic-neutron-agent
Architecture: all
Section: python
Depends:
 python3-ncclient (>= 0.6.9),
 python3-keystoneauth1,
 python3-neutron,
 python3-neutron-lib,
 python3-openstacksdk,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.service,
 python3-oslo.utils,
 python3-pbr,
 python3-tenacity,
 python3-tooz,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack virtual network service - Ironic agent Python 3.x library
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python 3.x files for the Ironic agent.

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,4 @@
 #!/usr/bin/make -f
-
-DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
-VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
-export PBR_VERSION=$(VERSION)
 
 include /usr/share/openstack-pkg-tools/pkgos.make

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/networking-baremetal/tags .*/(\d[brc\d\.]+)\.tar\.gz

## networking-baremetal 6.1.0

=== debian/changelog ===
networking-baremetal (6.1.0-0ubuntu1~cloud0) jammy-antelope; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 28 Feb 2023 19:41:40 +0000

networking-baremetal (6.1.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 28 Feb 2023 08:11:08 -0500

networking-baremetal (6.0.0+git2023011010.2cf7c04d-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2023 10:11:00 -0500

networking-baremetal (6.0.0-0ubuntu1) kinetic; urgency=medium

  * d/watch: Scope to 6.x series.
  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 17:04:01 -0400

networking-baremetal (5.1.1+git2022091215.8c23e7e-0ubuntu3) kinetic; urgency=medium

  * d/control: Move python3-ncclient back to Depends as networking-baremetal
    packages are in universe.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 13 Sep 2022 12:07:46 -0400

networking-baremetal (5.1.1+git2022091215.8c23e7e-0ubuntu2) kinetic; urgency=medium

  * d/control: Move python3-ncclient to Suggests until in main.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 13 Sep 2022 12:05:05 -0400

networking-baremetal (5.1.1+git2022091215.8c23e7e-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 15:19:37 -0400

networking-baremetal (5.1.1+git2022071815.db835bc-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 18 Jul 2022 15:25:18 -0400

networking-baremetal (5.1.1+git2022060214.107a5a7-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jun 2022 14:42:58 -0400

## networking-baremetal 6.1.1

=== debian/changelog ===
networking-baremetal (6.1.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-antelope.infomaniak.ch>  Thu, 02 Oct 2025 10:00:34 +0000

networking-baremetal (6.1.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1047205).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 10:50:10 +0200

networking-baremetal (6.1.0-2) unstable; urgency=medium

  * Add missing ironic-client namespace when generating the
    ironic_neutron_agent.ini file.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 05 May 2023 08:55:50 +0200

networking-baremetal (6.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Add autopkgtest.
  * Removed lsb-base depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Feb 2023 08:43:28 +0100

=== debian/control ===
--- 
+++ 
@@ -48,7 +48,6 @@
  neutron-common,
  python3-ironic-neutron-agent (= ${binary:Version}),
  ${misc:Depends},
- ${ostack-lsb-base},
  ${python3:Depends},
 Description: OpenStack virtual network service - Ironic agent
  Neutron provides an API to dynamically request and configure virtual networks.

=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,10 @@
 
 override_dh_auto_clean:
 	python3 setup.py clean
-
-override_dh_clean:
-	dh_clean
-	rm -rf build
+	rm -rf build .stestr *.egg-info
+	rm -f debian/ironic-neutron-agent.init debian/ironic-neutron-agent.service
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	set -e ; for i in $(PYTHON3S) ; do \
@@ -37,7 +37,8 @@
 		--output-file $(CURDIR)/debian/ironic-neutron-agent/usr/share/ironic-neutron-agent/ironic_neutron_agent.ini \
 		--wrap-width 140 \
 		--namespace ironic-neutron-agent \
-		--namespace oslo.log
+		--namespace oslo.log \
+		--namespace ironic-client
 
 	dh_install
 	dh_missing --fail-missing

## networking-baremetal 6.2.0+git2023090714.639b0afd

=== debian/changelog ===
networking-baremetal (6.2.0+git2023090714.639b0afd-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 07 Sep 2023 21:16:11 +0000

networking-baremetal (6.2.0+git2023090714.639b0afd-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Sep 2023 14:34:23 -0400

networking-baremetal (6.1.0+git2023061415.639b0afd-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream snapshot for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Jun 2023 15:14:14 -0400

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/networking-baremetal/ networking-baremetal-(6\.\d.*)\.tar\.gz

## networking-baremetal 6.2.2

=== requirements.txt ===
--- 
+++ 
@@ -1,7 +1,12 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
+
 # The order of packages is significant, because pip processes them in the order
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
+ncclient>=0.6.9 # Apache-2.0
 neutron-lib>=1.28.0 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0

=== debian/changelog ===
networking-baremetal (6.2.2-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream relase.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-bobcat.debian.net>  Tue, 30 Sep 2025 13:34:49 +0000

networking-baremetal (6.2.1-1) UNRELEASED; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 09 Nov 2024 21:44:49 +0100

networking-baremetal (6.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Oct 2023 18:47:25 +0200

networking-baremetal (6.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 Sep 2023 22:56:32 +0200

## networking-baremetal 6.3.0

=== requirements.txt ===
--- 
+++ 
@@ -1,11 +1,6 @@
 # Requirements lower bounds listed here are our best effort to keep them up to
 # date but we do not test them so no guarantee of having them all correct. If
 # you find any incorrect lower bounds, let us know or propose a fix.
-
-# The order of packages is significant, because pip processes them in the order
-# of appearance. Changing the order has an impact on the overall integration
-# process, which may cause wedges in the gate later.
-
 ncclient>=0.6.9 # Apache-2.0
 neutron-lib>=1.28.0 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0

=== debian/changelog ===
networking-baremetal (6.3.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal.
  * d/p/*: Refresh.

 -- James Page <james.page@ubuntu.com>  Fri, 22 Mar 2024 09:54:06 +0000

=== debian/control ===
Source: networking-baremetal
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 3.1.1),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-coverage,
 python3-hacking,
 python3-ironicclient,
 python3-keystoneauth1 (>= 3.14.0),
 python3-ncclient (>= 0.6.9),
 python3-neutron (>= 2:14.0.0.0b1),
 python3-neutron-lib (>= 1.28.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-openstacksdk (>= 0.31.2),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.service (>= 1.40.2),
 python3-oslo.utils (>= 3.40.2),
 python3-oslotest (>= 1:3.2.0),
 python3-stestr (>= 2.0.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-subunit (>= 1.0.0),
 python3-tenacity (>= 6.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-tooz (>= 2.5.1),
 subunit,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/networking-baremetal
Homepage: https://opendev.org/openstack/networking-baremetal

Package: ironic-neutron-agent
Architecture: all
Section: python
Depends:
 neutron-common,
 python3-ironic-neutron-agent (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack virtual network service - Ironic agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Ironic agent.

Package: python3-ironic-neutron-agent
Architecture: all
Section: python
Depends:
 python3-ironicclient,
 python3-keystoneauth1 (>= 3.14.0),
 python3-ncclient (>= 0.6.9),
 python3-neutron (>= 2:14.0.0.0b1),
 python3-neutron-lib (>= 1.28.0),
 python3-openstacksdk (>= 0.31.2),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.service (>= 1.40.2),
 python3-oslo.utils (>= 3.40.2),
 python3-pbr (>= 3.1.1),
 python3-tenacity (>= 6.0.0),
 python3-tooz (>= 2.5.1),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack virtual network service - Ironic agent Python 3.x library
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python 3.x files for the Ironic agent.

## networking-baremetal 6.3.1

=== debian/changelog ===
networking-baremetal (6.3.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-caracal.infomaniak.ch>  Mon, 22 Sep 2025 10:56:49 +0000

networking-baremetal (6.3.0-4) unstable; urgency=medium

  * Restrict autopkgtest to Architecture: amd64 arm64 ppc64el.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 May 2024 16:44:16 +0200

networking-baremetal (6.3.0-3) unstable; urgency=medium

  * Drop extraneous python3-mock build dependency (Closes: #1069975).

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Apr 2024 08:51:13 +0200

networking-baremetal (6.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Apr 2024 21:58:28 +0200

networking-baremetal (6.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Mar 2024 17:38:09 +0100

=== debian/control ===
Source: networking-baremetal
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-hacking,
 python3-keystoneauth1,
 python3-ncclient (>= 0.6.9),
 python3-neutron,
 python3-neutron-lib,
 python3-openstackdocstheme,
 python3-openstacksdk,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.service,
 python3-oslo.utils,
 python3-oslotest,
 python3-stestr,
 python3-sphinxcontrib.apidoc,
 python3-tenacity,
 python3-testscenarios,
 python3-testtools,
 python3-tooz,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/neutron-plugins/networking-baremetal
Vcs-Git: https://salsa.debian.org/openstack-team/neutron-plugins/networking-baremetal.git
Homepage: https://github.com/openstack/networking-baremetal

Package: ironic-neutron-agent
Architecture: all
Section: python
Depends:
 neutron-common,
 python3-ironic-neutron-agent (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack virtual network service - Ironic agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Ironic agent.

Package: python3-ironic-neutron-agent
Architecture: all
Section: python
Depends:
 python3-ncclient (>= 0.6.9),
 python3-keystoneauth1,
 python3-neutron,
 python3-neutron-lib,
 python3-openstacksdk,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.service,
 python3-oslo.utils,
 python3-pbr,
 python3-tenacity,
 python3-tooz,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack virtual network service - Ironic agent Python 3.x library
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python 3.x files for the Ironic agent.

## networking-baremetal 6.4.0

=== debian/changelog ===
networking-baremetal (6.4.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090440).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 13:58:16 +0100

networking-baremetal (6.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Sep 2024 14:07:36 +0200

networking-baremetal (6.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 29 Aug 2024 13:49:19 +0200

## networking-baremetal 6.4.1

=== debian/changelog ===
networking-baremetal (6.4.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Tue, 03 Feb 2026 14:49:24 +0000

## networking-baremetal 6.5.0

=== requirements.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 oslo.utils>=3.40.2 # Apache-2.0
 oslo.messaging>=5.29.0 # Apache-2.0
 oslo.service>=1.40.2 # Apache-2.0
-pbr>=3.1.1 # Apache-2.0
+pbr>=6.0.0 # Apache-2.0
 openstacksdk>=0.31.2 # Apache-2.0
 tooz>=2.5.1 # Apache-2.0
 neutron>=14.0.0.0b1 # Apache-2.0

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr,
+ python3-pbr (>= 6.0.0),
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
@@ -71,7 +71,7 @@
  python3-oslo.messaging,
  python3-oslo.service,
  python3-oslo.utils,
- python3-pbr,
+ python3-pbr (>= 6.0.0),
  python3-tenacity,
  python3-tooz,
  ${misc:Depends},

=== debian/tests/control ===
Tests: unittests
Depends:
 @builddeps@,
Restrictions: allow-stderr needs-root
Architecture: amd64 arm64 ppc64el

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/networking-baremetal refs/tags/(\d[brc\d\.]+)
